<?php
// WizyTówka - admin.php

include('system/dane.php');

// instalacja
if ($_POST['instalacja'] == 'yes')
{
  // sprawdzenie, czy wszystkie pola wypełniono
  if (empty($_POST['haslo_n']) or empty($_POST['adres']) or empty($_POST['email']) or empty($_POST['tytul']))
  {
    $error = 'pola';
    include('system/install.php');
  }
  // sprawdzenie, czy e-mail jest poprawny
  elseif (!preg_match('/^.+@{1}.+$/',$_POST['email']))
  {
    $error = 'email';
    include('system/install.php');
  }
  // utworzenie plików
  elseif (!empty($_POST['haslo_n']) and !empty($_POST['adres']) and !empty($_POST['email']) and !empty($_POST['tytul']))
  {
    dane_reset();
    dane_s('user/id.txt',rand(10000,99999).rand(10000,99999).rand(10000,99999).rand(10000,99999).rand(10000,99999).rand(10000,99999));
    dane_s('tytul.txt',$_POST['tytul']);
    dane_s('adres.txt',$_POST['adres']);
    dane_s('email.txt',$_POST['email']);
    dane_s('user/haslo.txt',md5($_POST['haslo_n']));
    dane_s('install.txt','welcome');
    // sprawdzenie ukończenia instalacji
    if (!file_exists('dane/install.txt'))
    {
      $error = 'folder';
      include('system/install.php');
    }
    // wysłanie wiadomości powitalnej
    elseif (file_exists('dane/install.txt'))
    {
      $tresc = 'Pod adresem '.$_POST['adres']." zainstalowano właśnie WizyTówkę.\nAby zmodyfikować swoją stronę, wystarczy się zalogować.\nPoniższy ciąg znaków to podane przez Ciebie hasło.\n\n".$_POST['haslo_n']."\n\nChoć istnieje opcja przypominania, proszę zachować hasło w bezpiecznym miejscu.\n".$_POST['adres'].'/admin.php';
      @mail($_POST['email'],'WizyTowka - instalacja', $tresc, "Content-type: text/plain; charset=UTF-8");
    }
    include ('system/login.php');
  }
}
// jeśli nie zainstalowano, wyświetl instalator
elseif (!file_exists('dane/install.txt'))
{
  header('Location: index.php'); 
}
// wylogowanie
elseIf ($_GET['a'] == 'wyloguj')
{
  setcookie('WizyTowka','',0);
  header('Location: admin.php'); 
}
// zalogowanie i utworzenie ciasteczka
elseif (md5($_POST['haslo']) == dane_o('user/haslo.txt'))
{
  setcookie('WizyTowka',dane_o('user/id.txt'),time()+3600);
  include('system/admin.php');
}
// wyświetlenie panelu użytkownika, gdy użytkownik jest zalogowany
elseif (isset($_COOKIE['WizyTowka']) and $_COOKIE['WizyTowka'] == dane_o('user/id.txt'))
{
  include('system/admin.php');
}
else
{
  include('system/login.php');
}
?>