<?php
// WizyTówka - admin_strony.php

// zapis ustawień - o mnie
if ($_POST['edit'] == 'home')
{
  $_POST['home'] = stripslashes($_POST['home']);
  dane_s('home.txt',$_POST['home']);
  $komunikat = "Zmiany na stronie zostały zapisane.";
}

// zapis ustawień - galeria - nowe zdjęcie
if ($_POST['edit'] == 'nowe-galeria')
{
  if(empty($_FILES['plik']['name']))
    $komunikat = 'Nie wskazano żadnego zdjęcia.';
  elseif (preg_match('/^[a-zA-Z0-9\.\s_]+$/',$_FILES['plik']['name']) and !empty($_FILES['plik']['name']))
  {
    $galeria = dane_o('galeria.txt');
    dane_s('galeria.txt',$galeria.'<ZDJ>'.$_FILES['plik']['name']);
    move_uploaded_file($_FILES['plik']['tmp_name'], 'dane/galeria/'.$_FILES['plik']['name']);
    $komunikat = 'Zdjęcie zostało dodane.';
  }
  else
    $komunikat = 'Nazwa nie może zawierać znaków polskich i specjalnych.';
}

// zapis ustawień - galeria - usuń zdjęcie
if ($_POST['edit'] == 'usun-galeria' and !empty($_POST['usun']))
{
  @unlink('dane/galeria/'.$_POST['usun']);
  dane_s('galeria.txt',str_replace('<ZDJ>'.$_POST['usun'],'',dane_o('galeria.txt')));
  $komunikat = 'Zdjęcie zostało usunięte.';
}

// zapis ustawień - miniblog - dodaj wpis
if ($_POST['edit'] == 'miniblog' and $_POST['miniblog'] != '<br />' and !empty($_POST['miniblog']))
{
  $nazwa = md5(substr($_POST['miniblog'],0,15));
  dane_s('miniblog.txt',dane_o('miniblog.txt').'<MINIBLOG>'.$nazwa);
  dane_s('miniblog/'.$nazwa.'.txt',$_POST['miniblog'].'<WPIS>'.date('H:i:s, d.m.Y'));
  $komunikat = 'Wpis został dodany.';
}

// zapis ustawień - miniblog - usuń wpis
if ($_POST['edit'] == 'usun-miniblog' and !empty($_POST['usun']))
{
  @unlink('dane/miniblog/'.$_POST['usun'].'.txt');
  dane_s('miniblog.txt',str_replace('<MINIBLOG>'.$_POST['usun'],'',dane_o('miniblog.txt')));
  $komunikat = 'Wpis został usunięty.';
}

// zapis ustawień - kontakt
if ($_POST['edit'] == 'kontakt')
{
  dane_s('social.txt',$_POST['facebook'].'<SOCIAL>'.$_POST['naszaklasa'].'<SOCIAL>'.$_POST['twitter'].'<SOCIAL>'.$_POST['youtube'].'<SOCIAL>'.$_POST['picasa']);
  if (!empty($_POST['email']) and preg_match('/^.+@{1}.+\.{1}.+$/',$_POST['email']))
  {
    dane_s('email.txt',$_POST['email']);
    $komunikat = 'Dane kontaktowe zostały zapisane.';
  }
  else
    $komunikat = 'Adres e-mail nie jest poprawny.';
  if ($_POST['sprawdz-email'] == 'yes')
  {
    $wysylanie = @mail(dane_o("email.txt"),'WizyTowka - test e-mail',"WizyTówka może wysyłać wiadomości e-mail!\n".dane_o('adres.txt').'/admin.php', "Content-type: text/plain; charset=UTF-8");
    if ($wysylanie)
      $komunikat = 'Wysyłanie e-maili działa prawidłowo. Sprawdź swoją pocztę.';
    if (!$wysylanie)
      $komunikat = 'Wysyłanie e-maili nie działa prawidłowo.';
  }
}

// zapis ustawień - wygląd - użytkownik
if ($_POST['edit'] == 'css-user')
{
  if ($_POST['ss'] < 600)
    $_POST['ss'] = 600;
  if ($_POST['rc'] < 10)
    $_POST['rc'] = 10;
  dane_s('css-user.txt',$_POST['bg'].'<CSS>'.$_POST['text'].'<CSS>'.$_POST['ss'].'<CSS>'.$_POST['rc'].'<CSS>'.$_POST['font'].'<CSS>'.$_POST['webfonts']);
  $komunikat = 'Ustawienia wyglądu zostały zapisane.';
}

// zapis ustawień - wygląd - styl CSS
if ($_POST['edit'] == 'css')
{
  $_POST['css'] = stripslashes($_POST['css']);
  dane_s('styl.css',$_POST['css']);
  dane_s('css.txt',$_POST['tylko-css']);
  $komunikat = 'Styl CSS został zapisany.';
  if ($_POST['default'] == 'yes')
  {
    dane_s('styl.css',fread(fopen('system/css/domyslny.css','r'),10000));
    $komunikat = 'Styl CSS został przywrócony.';
  }
}

// zapis ustawień - statystyki
if ($_POST['edit'] == 'stats')
{
  dane_s ('stats.txt',$_POST['stats'].'<STATS>'.$_POST['licznik_pokaz'].'<STATS>'.$_POST['licznik_przed'].'<STATS>'.$_POST['licznik_po']);
  $komunikat = 'Ustawienia statystyk zapisano.';
  if ($_POST['stats_wyczysc'] == 'yes')
  {
    dane_s ('stats_dzis.txt','0');
    dane_s ('stats_all.txt','0');
    dane_s ('stats_oip.txt','');
    dane_s ('stats_odata.txt','');
    dane_s ('stats_ostatnia.txt','');
    $komunikat = 'Statystyki zostały wyzerowane.';
  }
}

// zapis ustawień - inne opcje
if ($_POST['edit'] == 'inne')
{
  dane_s('tytul.txt',$_POST['tytul']);
  dane_s('adres.txt',$_POST['adres']);
  dane_s('inne.txt',$_POST['opis'].'<INNE>'.$_POST['przyjazne'].'<INNE>'.$_POST['menu_home'].'<INNE>'.$_POST['menu_miniblog'].'<INNE>'.$_POST['menu_galeria'].'<INNE>'.$_POST['menu_kontakt']);
  dane_s('wizytowka.txt',$_POST['wt_1'].'<WT>'.$_POST['wt_2']);
  if ($_POST['przyjazne'] == 'yes')
  {
    $plik_htaccess = "AddDefaultCharset UTF-8\nRewriteEngine on\nRewriteBase ".substr($_SERVER['PHP_SELF'],0,strlen($_SERVER['PHP_SELF'])-9)."\nRewriteCond %{REQUEST_FILENAME} !-f\nRewriteCond %{REQUEST_FILENAME} !-d\nRewriteRule /?([A-Za-z0-9-]+)/?$ index.php?i=$1 [QSA,L]";
    @fwrite(fopen('.htaccess','w'),$plik_htaccess);
  }
  else
    @unlink('.htaccess');
  $komunikat = 'Ustawienia zostały zapisane.';
}

// zapis ustawień - inne opcje - hasło
if ($_POST['edit'] == 'haslo')
{
  if (empty($_POST['haslo1']) and empty($_POST['haslo2']))
    $komunikat = 'Nie podano żadnych haseł.';
  elseif($_POST['haslo1'] != $_POST['haslo2'])
    $komunikat = 'Hasła nie są identyczne.';
  elseif($_POST['haslo1'] == $_POST['haslo2'])
  {
    dane_s('user/haslo.txt',md5($_POST['haslo1']));
    dane_s('user/id.txt',rand(10000,99999).rand(10000,99999).rand(10000,99999).rand(10000,99999).rand(10000,99999).rand(10000,99999));
    $komunikat = "Hasło zostało zmienione.<br />Należy ponownie <a href=\"admin.php\">zalogować się</a>.";
  }
}  

// zapis ustawień - resetowanie
if ($_POST['edit'] == 'reset')
{
  $adres = dane_o('adres.txt');
  dane_reset();
  $komunikat = "Ustawienia zresetowano.<br />Należy ponownie <a href=\"$adres\">zainstalować</a> WizyTówkę.";
}



// linki do podglądu
$inne = explode('<INNE>',dane_o('inne.txt'));
$adres = dane_o('adres.txt');
if ($inne[1] == 'yes')
  $dod = "/";
else
  $dod = "?i=";



// panel użytkownika - pierwsze uruchomienie
if (@dane_o('install.txt') == 'welcome')
{
?>
<h3>Witaj!</h3>
<p>Właśnie odpowiednio skonfigurowałeś swoją stronę. WizyTówka jest gotowa do pracy.</p>
<p>Panel administracyjny, który służy do modyfikacji Twojej strony zawsze dostępny będzie pod poniższym adresem. Najlepiej będzie, jeśli zachowasz go w swoich ulubionych.</p>
<p style="font-size: 21px;"><a href="<?php echo dane_o('adres.txt'); ?>/admin.php"><?php echo dane_o('adres.txt'); ?>/admin.php</a></p>
<p>Mam nadzieję, że WizyTówka spełni Twoje oczekiwania.</p>
<?php
dane_s('install.txt','yes');
}

// panel użytkownika - o mnie
elseif  ($_GET['a'] == 'home' or empty($_GET['a']))
{
?>
<script src="system/js/nicEdit.js" type="text/javascript"></script>
<h3>O mnie <a href="<?php echo $adres.$dod ?>o-mnie" target="_blank"><img src="system/img/podglad.png" alt="podgląd"  class="p" /></a></h3>
<p>Tutaj umieścić możesz informacje o swojej osobie, zainteresowaniach i pracy.</p>
<script type="text/javascript">
  bkLib.onDomLoaded(function() {
    new nicEditor({buttonList : ['bold','italic','underline','strikethrough','ul','ol','link','unlink','image','xhtml'], iconsPath : 'system/img/nicEditorIcons.gif', maxHeight : 320, xhtml : true }).panelInstance('home');
  });
</script>
<p>
  <form method="post">
    <input type="hidden" name="edit" value="home" />
    <textarea name="home" id="home" style="height: 310px; resize: none;"><?php echo dane_o('home.txt'); ?></textarea>
    <input type="submit" value="Zapisz" />
  </form>
</p>
<?php
}

// panel użytkownika - galeria
elseif ($_GET['a'] == 'galeria')
{
?>
<h3>Galeria <a href="<?php echo $adres.$dod ?>galeria" target="_blank"><img src="system/img/podglad.png" alt="podgląd"  class="p" /></a></h3>
<p>W galerii możesz umieścić swoje zdjęcia.</p>
<p>
  <form enctype="multipart/form-data"  method="post">
    <input type="hidden" name="edit" value="nowe-galeria" />
    <input type="hidden" name="MAX_FILE_SIZE" value="52428800" />
    <span class="o">Dodaj zdjęcie:</span><br/>
    <input type="file" name="plik"> &nbsp; <input type="submit" value="Dodaj zdjęcie" />
  </form>
</p>
<div style="height: 320px; overflow: auto;" class="lista">
  <form method="post">
    <table class="o">
<?php
  $galeria_lista = dane_o('galeria.txt');
  if (empty($galeria_lista))
  {
    echo '      <tr><td>Nie dodano żadnych zdjęć.</td></tr>';
  }
  else
  {
    $galeria = explode('<ZDJ>',$galeria_lista);
    for($a=1;$a<count($galeria);$a++) 
    {
      $rozmiar = @strstr(@filesize('dane/galeria/'.$galeria[$a])*(0.0009765625),'.',true);
      if (empty($rozmiar))
        $rozmiar = '?';
      echo '      <tr><td style="width: 275px;"><a href="dane/galeria/'.$galeria[$a].'" target="_blank">'.$galeria[$a].'</a></td><td style="width: 80px;">'.$rozmiar.' KB</td><td><input type="radio" name="usun" style="margin-left:17px;" value="'.$galeria[$a].'"></td></tr>'."\n";
    }
    echo '      <tr><td style="width: 275px;"><input type="hidden" name="edit" value="usun-galeria" /></td><td style="width: 80px;"></td><td><input type="submit" value="Usuń" /></td></tr>';
  }
  echo "\n";
?>
    </table>
  </form>
</div>
<?php
}
// panel użytkownika - miniblog
elseif ($_GET['a'] == 'miniblog')
{
?>
<script src="system/js/nicEdit.js" type="text/javascript"></script>
<h3>Miniblog <a href="<?php echo $adres.$dod ?>miniblog" target="_blank"><img src="system/img/podglad.png" alt="podgląd"  class="p" /></a></h3>
<p>Miniblog służy do publikacji krótkich informacji, na przykład o tym gdzie jesteś lub nad czym teraz pracujesz.</p>
<script type="text/javascript">
  bkLib.onDomLoaded(function() {
    new nicEditor({buttonList : ['bold','italic','underline','strikethrough','ul','ol','link','unlink','image','xhtml'], iconsPath : 'system/img/nicEditorIcons.gif', maxHeight : 110, xhtml : true }).panelInstance('miniblog');
  });
</script>
<p>
  <form method="post">
    <input type="hidden" name="edit" value="miniblog" />
    <textarea name="miniblog" id="miniblog" style="height: 100px; resize: none;"></textarea>
    <input type="submit" value="Dodaj wpis" />
  </form>
</p>
<div style="height: 190px; overflow: auto;" class="lista">
  <form method="post">
    <table class="o">
<?php
  $miniblog_lista = dane_o('miniblog.txt');
  if (empty($miniblog_lista))
  {
    echo '      <tr><td>Nie dodano żadnych wpisów.</td></tr>';
  }
  elseif(!empty($miniblog_lista))
  {
    $miniblog = explode('<MINIBLOG>',$miniblog_lista);
    for($a=count($miniblog)-1;$a>0;$a--) 
    {
      $wpis = explode('<WPIS>',dane_o('miniblog/'.$miniblog[$a].'.txt'));
      echo '      <tr><td style="width: 305px;">'.substr(strip_tags($wpis[0]),0,30).' [...]</td><td style="width: 50px; font-size: 9px;">'.str_replace(', ','<br />',$wpis[1]).'</td><td><input type="radio" name="usun" style="margin-left:17px;" value="'.$miniblog[$a].'"></td></tr>'."\n";
    }
    echo '      <tr><td style="width: 305px;"><input type="hidden" name="edit" value="usun-miniblog" /></td><td style="width: 50px;"></td><td><input type="submit" value="Usuń"></td></tr>';
  }
  echo "\n";
?>
    </table>
  </form>
</div>
<?php
}
// panel użytkownika - kontakt
elseif ($_GET['a'] == 'kontakt')
{
  $social = explode('<SOCIAL>',dane_o('social.txt'));
?>
<h3>Kontakt <a href="<?php echo $adres.$dod ?>kontakt" target="_blank"><img src="system/img/podglad.png" alt="podgląd"  class="p" /></a></h3>
<p>Formularz kontaktowy i linki do portali społecznościowych umożliwią innym nawiązanie kontaktu z Tobą.</p>
<p>
  <form method="post">
    <table class="o">
      <tr><td>Twój e-mail:</td><td><input type="text" name="email" value="<?php echo dane_o('email.txt'); ?>" /></td>
      <tr><td>Profil w Facebooku: </td><td><input type="text" name="facebook" value="<?php echo $social[0]; ?>" /></td></tr>
      <tr><td>Profil w NK:</td><td><input type="text" name="naszaklasa" value="<?php echo $social[1]; ?>" /></td></tr>
      <tr><td>Profil w Twitterze: </td><td><input type="text" name="twitter" value="<?php echo $social[2]; ?>" /></td></tr>
      <tr><td>Profil w YouTube:</td><td><input type="text" name="youtube" value="<?php echo $social[3]; ?>" /></td></tr>
      <tr><td>Profil w Google Picasa:</td><td><input type="text" name="picasa" value="<?php echo $social[4]; ?>" /></td></tr>
      <tr><td>Test wysyłania:</td><td><label><input type="checkbox" name="sprawdz-email" value="yes" / >sprawdź, czy można wysyłać e-maile</label></td></tr>
      <tr><td></td><td><input type="submit" value="Zapisz"></td></tr>
    </table>
    <input type="hidden" name="edit" value="kontakt" />
  </form>
</p>
<p class="info">Jeżeli formularz nie będzie funkcjonował prawidłowo, skontaktuj się z pomocą techniczną Twojego hostingu &mdash; zapytaj o funkcję <i>mail()</i>.</p>
<p class="info">Aby nie wyświetlać linku do wybranego portalu, pozostaw jego pole puste i zapisz zmiany.</p>
<?php
}

// panel użytkownika - wygląd
elseif ($_GET['a'] == 'css') 
{
  if (dane_o('css.txt') == 'yes')
  {
    $tylko_css_check = ' checked="checked"';
    $zablokowane = 'disabled="disabled"';
  }
  $css = explode('<CSS>',dane_o('css-user.txt'));
  if ($css[5] == 'yes')
    $webfonts_check = ' checked="checked"';
?>
<script type="text/javascript" src="system/js/jscolor.js"></script>
<h3>Wygląd</h3>
<p>
  <form method="post">
    <table class="o">
      <tr><td>Kolor tła:</td><td><input type="text" class="color" name="bg" style="width: 70px;" <?php echo $zablokowane;?> value="<?php echo $css[0]; ?>" />  <span class="mini">(kliknij, by dostosować kolor)</span></td></tr>
      <tr><td>Kolor tekstu:</td><td><input type="text" class="color" name="text" style="width: 70px;" <?php echo $zablokowane; ?> value="<?php echo $css[1]; ?>" />  <span class="mini">(kliknij, by dostosować kolor)</span><td></tr>
      <tr><td>Szerokość strony: </td><td><input type="text" name="ss" style="width: 30px;" <?php echo $zablokowane;?> value="<?php echo $css[2]; ?>" />  <span class="mini">(w pikselach, minimum 600)</span></td></tr>
      <tr><td>Rozmiar czcionki: </td><td><input type="text" name="rc" style="width: 30px;" <?php echo $zablokowane;?> value="<?php echo $css[3]; ?>" />  <span class="mini">(w pikselach, minimum 10)</span></td></tr>
      <tr><td>Czcionka:</td>
      <td><select name="font" <?php echo $zablokowane;?>>
      <option><?php echo $css[4]; ?></option>
      <optgroup label="Standardowe">
        <option>Calibri</option>
        <option>Helvetica</option>
        <option>Tahoma</option>
        <option>Trebuchet MS</option>
        <option>Verdana</option>
      </optgroup>
<?php
  if ($css[5] == 'yes')
  {
?>
      <optgroup label="Google Web Fonts">
        <option>Anton</option>
        <option>Bevan</option>
        <option>Cantarell</option>
        <option>Crimson Text</option>
        <option>Crushed</option>
        <option>Droid Sans Mono</option>
        <option>Inconsolata</option>
        <option>Josefin Sans Std Light</option>
        <option>Lekton</option>
        <option>Luckiest Guy</option>
        <option>Merriweather</option>
      </optgroup>
<?php
  }
?>
      </select>  <label><input type="checkbox" name="webfonts" value="yes"<?php echo $webfonts_check.$zablokowane; ?>/ >Web Fonts</label></td>
      </tr>
      <tr><td></td><td><input type="submit" <?php echo $zablokowane;?> value="Zapisz" /></td></tr>
    </table>
    <input type="hidden" name="edit" value="css-user" />
  </form>
</p>
<p class="info">Opcja <i>Web Fonts</i> zwiększa ilość dostępnych czcionek, ale minimalnie spowalnia ładowanie Twojej strony.</p>
<p>
  <form method="post">
    <span class="o">Edycja CSS:<br/>
    <textarea name="css" style="height: 132px; resize: none;"><?php echo dane_o('styl.css'); ?></textarea></span><br/>
    <input type="hidden" name="edit" value="css" />
    <input type="submit" value="Zapisz" /> &nbsp;
    <label><input type="checkbox" name="tylko-css" value="yes"<?php echo $tylko_css_check; ?> />używaj tylko stylu CSS</label>
    <label><input type="checkbox" name="default" value="yes" />przywróć domyślny styl</label>
  </form>
</p>
<?php
}

// panel użytkownika - statystyki
elseif ($_GET['a'] == 'stats') 
{
  if (date('dmY') != dane_o('stats_odata.txt'))
  {
    dane_s('stats_odata.txt',date('dmY'));
    dane_s('stats_dzis.txt',0);
  }
  $stats = explode('<STATS>',dane_o('stats.txt'));
  if ($stats[0] == 'yes')
    $stats_check = ' checked="checked"';
  else
    $stats_check = '';
  if ($stats[1] == 'yes')
    $licznik_pokaz_check = ' checked="checked"';
?>
<h3>Statystyki</h3>
<p>
  <table class="o">
    <tr><td>Ostatnia wizyta:</td><td><?php echo dane_o('stats_ostatnia.txt'); ?></td></tr>
    <tr><td>Dzisiaj wizyt:</td><td><?php echo dane_o('stats_dzis.txt'); ?></td></tr>
    <tr><td>Wszystkich wizyt:</td><td><?php echo dane_o('stats_all.txt'); ?></td></tr>
  </table>
</p>
<p>
  <form method="post">
  <table class="o">
    <tr><td>Statystyki odwiedzin: </td><td><label><input type="checkbox" name="stats" value="yes"<?php echo $stats_check; ?>/ >włączone</label></td></tr>
    <tr><td>Wyczyść statystyki: </td><td><label><input type="checkbox" name="stats_wyczysc" value="yes" />tak</label>  <span class="mini">(nie można tego cofnąć)</span></td></tr>
    <tr><td>Licznik na stronie: </td><td><label><input type="checkbox" name="licznik_pokaz" value="yes"<?php echo $licznik_pokaz_check; ?> />włączony</label></td></tr>
    <tr><td>Tekst licznika:</td><td><input type="text" name="licznik_przed" style="width: 150px;" value="<?php echo $stats[2]; ?>" /> <?php echo dane_o('stats_all.txt'); ?> <input type="text" name="licznik_po" style="width: 100px;" value="<?php echo $stats[3]; ?>" /></td></tr>
    <tr><td></td><td><input type="submit" value="Zapisz" /></td></tr>
  </table>
  <input type="hidden" name="edit" value="stats" />
  </form>
</p>
<p class="info">Do statystyk nie są wliczane Twoje wyświetlenia strony.</p>
<?php
}

// panel użytkownika - inne opcje
elseif ($_GET['a'] == 'inne') 
{
  $inne = explode('<INNE>',dane_o('inne.txt'));
  $wt = explode('<WT>',dane_o('wizytowka.txt'));
  if ($inne[1] == 'yes')
    $przyjazne_check = ' checked="checked"';
  if ($inne[2] == 'yes')
    $menu_home_check = ' checked="checked"';
  if ($inne[3] == 'yes')
    $menu_miniblog_check = ' checked="checked"';
  if ($inne[4] == 'yes')
    $menu_galeria_check = ' checked="checked"';
  if ($inne[5] == 'yes')
    $menu_kontakt_check = ' checked="checked"';
  if ($wt[0] == 'yes')
    $wt_1_check = ' checked="checked"';
  if ($wt[1] == 'yes')
    $wt_2_check = ' checked="checked"';
?>
<h3>Inne opcje</h3>
<p>
  <form method="post">
  <table class="o">
    <tr><td>Imię i nazwisko: </td><td><input type="text" name="tytul" value="<?php echo dane_o('tytul.txt'); ?>" /></td></tr>
    <tr><td>Adres strony: </td><td><input type="text" name="adres" value="<?php echo dane_o('adres.txt'); ?>" /></td></tr>
    <tr><td>Opis strony: </td><td><input type="text" name="opis" value="<?php echo $inne[0]; ?>" /></td></tr>
    <tr><td>Przyjazne adresy:</td><td><label><input type="checkbox" name="przyjazne" value="yes"<?php echo $przyjazne_check; ?> />włączone</label></td></tr>
    <tr><td>Elementy menu:</td>
    <td>
    <label><input type="checkbox" name="menu_home" value="yes"<?php echo $menu_home_check; ?> />o mnie</label>
    <label><input type="checkbox" name="menu_miniblog" value="yes"<?php echo $menu_miniblog_check; ?> />miniblog</label>
    <label><input type="checkbox" name="menu_galeria" value="yes"<?php echo $menu_galeria_check; ?> />galeria</label>
    <label><input type="checkbox" name="menu_kontakt" value="yes"<?php echo $menu_kontakt_check; ?> />kontakt</label>
    </td></tr>
    <tr><td>Opcje WizyTówki:</td>
    <td>
    <label><input type="checkbox" name="wt_1" value="yes"<?php echo $wt_1_check; ?> />przypominanie hasła</label>
    <label><input type="checkbox" name="wt_2" value="yes"<?php echo $wt_2_check; ?>/>kontrastowy panel</label>
    </td></tr>
    <tr><td></td><td><input type="submit" value="Zapisz" /></td></tr>
  </table>
  <input type="hidden" name="edit" value="inne" />
  </form>
</p>
<p class="info">Przyjazne adresy nie zawierają niepotrzebnych znaków, na przykład zamiast <i>www.jankowalski.pl/?i=kontakt</i>, dostępny jest adres <i>www.jankowalski.pl/kontakt</i>.</p>
<p class="info">Opis strony uzupełnij, gdy zechcesz dodać witrynę do Google. Jeśli nie wiesz, jak to zrobić &mdash; <a href="http://google.pl/addurl" target="_blank">kliknij tutaj</a>.</p>
<p>
  <form method="post">
    <table class="o">
      <tr><td>Zmiana hasła:</td><td><input type="password" name="haslo1" /></td></tr>
      <tr><td></td><td><input type="password" name="haslo2" />  <span class="mini">(wpisz dwukrotnie nowe hasło)</span><td></tr>
      <tr><td></td><td><input type="submit" value="Zmień hasło" /></td></tr>
    </table>
    <input type="hidden" name="edit" value="haslo" />
  </form>
</p>
<?php
}

// panel użytkownika - informacje
elseif ($_GET['a'] == 'info') 
{
?>
<h3>Informacje</h3>
<p>WizyTówka &mdash; 1.12 (24.06.2011).</p>
<p>Wszelkie sugestie proszę zgłaszać poprzez formularz kontaktowy na stronie <a href="http://tomaszgasior.kao.pl/kontakt" target="_blank">www.tomaszgasior.kao.pl/kontakt</a>.</p>
<p>Autor:  Tomasz Gąsior &mdash; <a href="http://tomaszgasior.kao.pl" target="_blank">www.tomaszgasior.kao.pl</a>.</p>
<p>
  W systemie wykorzystano:
  <ul style="list-style-type: circle; padding-left: 23px;">
    <li><a href="http://led24.de/iconset/" target="_blank">LED Icon Set</a> &mdash; ikony w panelu użytkownika,</li>
    <li><a href="http://icondock.com/free/vector-social-media-icons" target="_blank">Vector Social Media Icons</a> &mdash; ikony portali,</li>
    <li><a href="http://galleria.aino.se/" target="_blank">Galleria</a> &mdash; skrypt do galerii zdjęć,</li>
    <li><a href="http://nicedit.com/" target="_blank">NicEdit</a> &mdash; graficzny edytor stron,</li>
    <li><a href="http://jscolor.com/" target="_blank">JSColor</a> &mdash; próbnik kolorów do stylu CSS,</li>
    <li><a href="http://jquery.com/" target="_blank">jQuery</a> &mdash; biblioteka JavaScript.</li>
  </ul>
</p>
<p>WizyTówka udostępniana jest na <a href="?a=licencja" style="text-decoration: underline;">licencji MIT</a>.</p>
<?php 
}

// panel użytkownika - resetowanie ustawień
elseif ($_GET['a'] == 'reset') 
{
?>
<h3>Resetowanie ustawień</h3>
<p>Jeśli zaistnieje taka potrzeba, poniższym przyciskiem można wyczyścić wszystkie ustawienia WizyTówki.</p>
<p><span style="color: red;">Tej czynności nie można cofnąć.</span></p>
<p>Wszystkie zdjęcia w galerii, wpisy w miniblogu, styl CSS i inne dane zostaną bezpowrotnie usunięte.</p>
<p>
  <form method="post">
    <input type="hidden" name="edit" value="reset" />
    <input type="submit" value="Wyczyść ustawienia" style="border-color: red;" />
  </form>
</p>
<?php
}

// panel użytkownika - licencja
elseif ($_GET['a'] == 'licencja') 
{
?>
<h3>Licencja</h3>
<p style="font-family: monospace; font-size: 13px; white-space: pre-wrap;">Copyright (c) 2011 Tomasz Gasior

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<p>WizyTówkę można kopiować, modyfikować i rozpowszechniać, jednak musi zostać zachowana informacja o autorze i licencji.</p>
<?php
}

// panel użytkownika - błąd
else
{
?>
<h3>Hmmm...</h3>
<?php
}
?>