<?php
// WizyTówka - strona.php

// podstawowe dane o stronie
$tytul = dane_o("tytul.txt");
$adres = dane_o("adres.txt");
$inne = explode('<INNE>',dane_o('inne.txt'));
$css = explode('<CSS>',dane_o('css-user.txt'));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta name="Author" content="<?php echo $tytul; ?>" />
<?php
// wyświetlanie opisu dla wyszukiwarek, jeśli jest dostępny
if (!empty($inne[0]))
{
?>
  <meta name="Description" content="<?php echo $inne[0]; ?>" />
<?php
}
?>
  <meta name="Generator" content="WizyTówka - http://tomaszgasior.kao.pl" />
  <link rel="Stylesheet" href="<?php echo $adres ?>/dane/styl.css" />
<?php
// użycie stylu CSS użytkownika, jeśli został włączony
if (dane_o('css.txt') != 'yes')
{
// użycie dodatkowych czcionek z Google Web Fonts, jeśli zostały włączone
  if ($css[5] == 'yes')
  {
?>
  <link rel="Stylesheet" href="<?php echo $adres; ?>/system/google-webfonts.css" />
<?php
  }
?>
  <style>
  div.strona {width: <?php echo $css[2]; ?>px; font-size: <?php echo $css[3]; ?>px;}
  body {background: #<?php echo $css[0]; ?>;}
  a:link, a:visited, body, h1 {color: #<?php echo $css[1]; ?>; font-family: "<?php echo $css[4]; ?>";}
  </style>
<?php
}
?>
  <title><?php echo$tytul; ?></title>
</head>
<body>
<div class="strona">
  <div class="naglowek">
    <h1><?php echo $tytul; ?></h1>
    <ul class="menu">
<?php
// wyświetlenie menu strony
if ($inne[1] == 'yes')
  $dod = "/";
else
  $dod = "?i=";
if ($inne[2] == 'yes')
  echo "      <li class=\"menu\"><a href=\"".$adres.$dod."o-mnie\" class=\"menu\">O mnie</a></li>\n";
if ($inne[3] == 'yes')
  echo "      <li class=\"menu\"><a href=\"".$adres.$dod."miniblog\" class=\"menu\">Miniblog</a></li>\n";
if ($inne[4] == 'yes')
  echo "      <li class=\"menu\"><a href=\"".$adres.$dod."galeria\" class=\"menu\">Galeria</a></li>\n";
if ($inne[5] == 'yes')
  echo "      <li class=\"menu\"><a href=\"".$adres.$dod."kontakt\" class=\"menu\">Kontakt</a></li>\n";
?>
    </ul>
  </div>
  <div class="tresc">
<?php
// wysyłanie wiadomości e-mail
if ($_POST['send'] == "yes")
{
  $tresc = "Wiadomość wysłano ze strony $adres za pomocą formularza kontaktowego.\n";
  if (!empty($_POST['email']))
    $tresc .= 'Nadawca podał swój adres e-mail: '.$_POST['email'].".\n\n";
  elseif (empty($_POST['email']))
    $tresc .= "Nadawca nie podał swojego adresu. \n\n";
  $tresc .= $_POST['wiad'];
  if (empty($_POST['wiad']))
    echo "    <p style=\"color: red;\">Nie wprowadzono treści wiadomości.</p>\n";
  elseif (@mail(dane_o("email.txt"), $_POST['temat'], $tresc, "Content-type: text/plain; charset=UTF-8"))
    echo "    <p style=\"color: green;\">Wiadomość została wysłana!</p>\n";
  else
    echo "    <p style=\"color: red;\">Nie udało się wysłać wiadomości.</p>\n";
}

// strona - o mnie
if  ($_GET[i] == 'o-mnie' or empty($_GET[i]))
  echo "    <p>".dane_o("home.txt")."</p>\n";
// strona - galeria
elseif ($_GET[i] == 'galeria')
{
?>
    <script type="text/javascript" src="<?php echo $adres; ?>/system/js/jquery-1.6.1.min.js"></script>
    <script type="text/javascript" src="<?php echo $adres; ?>/system/js/galleria-1.2.3.min.js"></script>
    <div id="gallery">
<?php
  $galeria = explode('<ZDJ>',dane_o("galeria.txt"));
  for($a=1;$a<count($galeria);$a++) 
  {
    echo "      <img src=\"".$adres."/dane/galeria/".$galeria[$a]."\" />\n";
  }
  $ani_nr = rand(1,5);
  if ($ani_nr == 1)
    $ani = 'fade';
  elseif ($ani_nr == 2)
    $ani = 'flash';
  elseif ($ani_nr == 3)
    $ani = 'pulse';
  elseif ($ani_nr == 4)
    $ani = 'slide';
  elseif ($ani_nr == 5)
    $ani = 'fadeslide';
?>
    </div>
    <script>
      Galleria.loadTheme("<?php echo $adres; ?>/system/js/galleria.classic.min.js");
      $("#gallery").galleria({
        height: 510,
        transition: '<?php echo $ani;?>'
      });
    </script><?php
    echo "\n";
}
// strona - miniblog
elseif  ($_GET[i] == 'miniblog')
{
  $miniblog = explode('<MINIBLOG>',dane_o('miniblog.txt'));
  for($a=count($miniblog)-1;$a>0;$a--)
  {
    $wpis = explode('<WPIS>',dane_o('miniblog/'.$miniblog[$a].'.txt'));
    echo "    <p class=\"wpis\" id=\"".$a."\">".$wpis[0].'</p>'."<p class=\"data\">".$wpis[1]."</p>\n";
  }
}
// strona - kontakt
elseif ($_GET[i] == 'kontakt')
{
  $social = explode('<SOCIAL>',dane_o('social.txt'));
  if (!empty($social[0]) or !empty($social[1]) or !empty($social[2]) or !empty($social[3]) or !empty($social[4]))
    echo "    <p class=\"social\">\n";
  if (!empty($social[0])) 
    echo "      <a href=\"".$social[0]."\" target=\"_balnk\"><img src=\"".$adres."/system/img/fb.png\" /></a>\n";
  if (!empty($social[1])) 
    echo "      <a href=\"".$social[1]."\" target=\"_balnk\"><img src=\"".$adres."/system/img/nk.png\" /></a>\n";
  if (!empty($social[2])) 
    echo "      <a href=\"".$social[2]."\" target=\"_balnk\"><img src=\"".$adres."/system/img/twitter.png\" /></a>\n";
  if (!empty($social[3])) 
    echo "      <a href=\"".$social[3]."\" target=\"_balnk\"><img src=\"".$adres."/system/img/yt.png\" /></a>\n";
  if (!empty($social[4])) 
    echo "      <a href=\"".$social[4]."\" target=\"_balnk\"><img src=\"".$adres."/system/img/picasa.png\" /></a>\n";
  if (!empty($social[0]) or !empty($social[1]) or !empty($social[2]) or !empty($social[3]) or !empty($social[4]))
    echo "      <br /><a href=\"http://icondock.com/free/vector-social-media-icons\" target=\"blank\">IconDock</a>\n    </p>\n";
?>
    <form action="" method="post">
      <p>
        <label>Temat:<br /><input type="text" name="temat" /></label><br />
        <label>Twój e-mail:<br /><input type="text" name="email" /></label><br />
        <label>Wiadomość:<br /><textarea name="wiad"></textarea></label><br />
        <input type="hidden" name="send" value="yes" />
        <input type="submit" value="Wyślij" />
      </p>
    </form><?php
    echo "\n";
}
// strona - błąd 404
else
  echo "    <p>Błąd <span style=\"color: red;\">404</span> &mdash; nie znaleziono poszukiwanej strony.</p>\n";

// statystyki, jeśli są włączone
$stats = explode('<STATS>',dane_o('stats.txt'));
if ($stats[0] == 'yes')
{
  // aktualizacja ostatniej daty
  if (date("dmY") != dane_o("stats_odata.txt"))
  {
    dane_s("stats_odata.txt",date("dmY"));
    dane_s("stats_dzis.txt",0);
  }
  // dodanie do statystyk kolejnego wejścia, tylko gdy nie jest zalogowany autor strony
  if (!isset($_COOKIE['WizyTowka']) or $_COOKIE['WizyTowka'] != dane_o('user/id.txt'))
  {
    dane_s("stats_ostatnia.txt",date("H:i:s, d.m.Y"));
    if ($_SERVER['REMOTE_ADDR'] != dane_o("stats_oip.txt") or empty($_SERVER['REMOTE_ADDR']))
    {
      dane_s("stats_all.txt",dane_o("stats_all.txt")+1);
      dane_s("stats_oip.txt",$_SERVER['REMOTE_ADDR']);
      dane_s("stats_dzis.txt",dane_o("stats_dzis.txt")+1);
    }
  }
  // wyświetlanie licznika
  if ($stats[1] == 'yes')
  {
  echo "    <p class=\"stats\">".$stats[2].dane_o("stats_all.txt").$stats[3]."</p>\n";
  }
}
?>
  </div>
</div>
</body>
</html>